# Poco::Data

# class AbstractPrepare

Library: Data
Package: DataCore
Header: Poco/Data/AbstractPrepare.h

## Description

Interface for calling the appropriate AbstractPreparation method

## Inheritance

Known Derived Classes: Prepare

## Member Summary

Member Functions: preparation, prepare

## Constructors

### AbstractPrepare

AbstractPrepare(
AbstractPreparation * pPrepare
);

Creates the AbstractPrepare.

## Destructor

### ~AbstractPrepare

virtual ~AbstractPrepare();

Destroys the AbstractPrepare.

## Member Functions

### preparation

AbstractPreparation * preparation();

Returns the preparation object

### prepare

virtual void prepare() = 0;

Prepares data.

## Variables

### _pPrepare

AbstractPreparation * _pPrepare;